package entity

// MessageStruct describes outgoing messages from the query service
type MessageStruct struct {
	QueryID string      `json:"queryID"`
	Type    string      `json:"type"`
	Value   interface{} `json:"value"`
}

// StatusMessageStruct describes a status message
type StatusMessageStruct struct {
	Type  string `json:"type"`
	Value Status `json:"value"`
}

// Status describes the query status
type Status struct {
	Status  string `json:"status"`
	QueryID string `json:"queryID"`
}
